# HPMods
[House Party](https://store.steampowered.com/app/611790/House_Party/) [Mods](https://www.nexusmods.com/houseparty/mods/) for [MelonLoader](https://melonwiki.xyz/#/)

## QuickStart MelonLoader

Make sure you have installed the game and atleast started the game once before you continue.

1. Download [MelonLoader.Installer.exe](https://github.com/HerpDerpinstine/MelonLoader/releases/latest/download/MelonLoader.Installer.exe)
2. Run MelonLoader.Installer.exe.
3. Click the SELECT button.
4. Select and Open the Game's EXE in your Game's Installation Folder.
5. Select which Version of MelonLoader to install using the Drop-Down List. (Or leave it as-is for the Latest Version.)
6. Click the INSTALL or RE-INSTALL button.

After this the installation directory of the game should contain a new folder called `Mods`.

## Installing mods
Mods which you would like to install should be copied into the `Steam\steamapps\common\House Party\Mods` folder.
> For example `Steam\steamapps\common\House Party\Mods\ItemRandomizer.dll`.

### [Are you a developer? Click here.](https://github.com/0x78f1935/HPMods/blob/master/Devs.md)

# Mods

## [ItemRandomizer](https://github.com/0x78f1935/HPMods/blob/master/ItemRandomizer/README.md)
> Make the stories you play more challenging by randomizing spawn locations of items throughout the game. Every game is different with this mod.

![Master Compare](https://github.com/0x78f1935/HPMods/raw/master/ItemRandomizer/docs/assets/compare_1.png "Compare 1")
![Result](https://github.com/0x78f1935/HPMods/raw/master/ItemRandomizer/docs/assets/result_1.png "Result 1")
![Fridge Compare](https://github.com/0x78f1935/HPMods/raw/master/ItemRandomizer/docs/assets/compare_2.png "Compare 2")
